Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations

Create order with specified item purchased by virtual currencyClient-side

Request

Creates item purchase using virtual currency.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
item_skustringrequired

Item SKU.

Example: booster_mega_1
virtual_currency_skustringrequired

Virtual currency SKU.

Example: crystal
Query
platformstring

Publishing platform the user plays on: xsolla (default), playstation_network, xbox_live, pc_standalone, nintendo_shop, google_play, app_store_ios, android_standalone, ios_standalone, android_other, ios_other, pc_other.

Default "xsolla"
Enum"playstation_network""xbox_live""xsolla""pc_standalone""nintendo_shop""google_play""app_store_ios""android_standalone""ios_standalone""android_other"
Bodyapplication/json
custom_parametersobject or null(Cart-Payment_custom_parameters)[ 1 .. 200 ] properties

Your custom parameters represented as a valid JSON set of key-value pairs.
You can pass additional parameters through this field to configure anti-fraud filters. See Pay Station documentation.

Example: {"custom_parameters":{"string_param":"example","bool_param":true,"int_param":100,"null_param":null}}
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/payment/item/booster_mega_1/virtual/crystal?platform=playstation_network' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": {
      "array_param": [
        {
          "object1": {
            "param": "https://xsolla.com"
          },
          "property": {
            "int_property": 112,
            "string_property": "xsolla"
          }
        },
        {
          "object2": {
            "param": "https://developers.xsolla.com"
          },
          "property": {
            "int_property": 112,
            "string_property": "email@example.com"
          }
        }
      ],
      "object_param": {
        "key": "value"
      },
      "bool_param": true,
      "int_param": 100,
      "null_param": null
    }
  }'

Responses

Successful quick virtual purchase.

Bodyapplication/json
order_idinteger

Order ID.

Response
application/json
{ "order_id": 641 }
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations